Compare commits

...

27 Commits

Author SHA1 Message Date
c786299e91 Update noagendastream.sh 2025-06-23 15:57:21 -04:00
d9b6d6b3c5 Follow guidlines 2022-10-09 07:45:01 -07:00
7a23304c9c New Script: steamloop.sh 2022-03-31 06:57:55 -07:00
eeecf8df23 trb.sh: add title to notify-send frame 2021-11-03 10:48:15 -07:00
5f289995ba svc.sh: check if arg 2 is present for up cmd 2021-10-31 21:35:49 -07:00
5542e2ab9a rtlwifi-setup: change drive source 2021-10-27 21:50:51 -07:00
43cca1cb99 svc.sh: remove unused color vars 2021-10-26 20:57:58 -07:00
e2de8ac908 svc.sh: error handling and debug msg 2021-10-26 20:57:07 -07:00
da2f64b165 svc.sh: fix conditional 2021-10-26 20:53:14 -07:00
ddbd422e11 svc.sh: fix conditional 2021-10-26 20:52:26 -07:00
7e9f60c3ec svc.sh: remove unused variable 2021-10-26 20:50:53 -07:00
84a19253c0 svc.sh: support systemd 2021-10-23 20:26:23 -07:00
d1e9c221a3 rtlwifi-setup: handle potential 'cd' errors 2021-10-17 10:54:58 -07:00
86c1d119e1 rtlwifi-setup: Comment out old patch for now 2021-10-17 10:54:22 -07:00
d1474f7522 rtlwifi-setup: encapulate vars 2021-10-17 10:53:09 -07:00
ff60ec22e5 Remove unused variables 2021-10-17 10:50:20 -07:00
c82ab68762 mkuser.sh: folow bash standards 2021-10-07 11:07:30 -07:00
9774c9bccb d2-setup.sh: error handling and help 2021-10-07 11:06:38 -07:00
e0156f36d9 insantity.sh: call python3 2021-10-07 10:54:36 -07:00
48238e0c69 d2-setup.sh: exit if cd fails 2021-09-29 16:57:14 -07:00
ccb3595db7 d2 setup added basic tutorial 2021-09-29 16:28:30 -07:00
75e0782e01 update: pianobar: change password 2021-09-05 19:59:48 -07:00
d1bc6670fc Update: config 2021-08-17 04:30:10 -07:00
a488e9c456 New Script: noagendastream.sh 2021-08-17 04:28:49 -07:00
823e728a8d New Script: insanity.py 2021-08-17 04:27:31 -07:00
932ba2906c update crypt 2021-08-17 02:34:03 -07:00
841ee333cf Revert old glide method 2021-01-25 15:13:07 -07:00
12 changed files with 272 additions and 92 deletions

BIN
.crypt

Binary file not shown.

View File

@@ -87,7 +87,7 @@ withoutLoop(){
elif [ $? = "1" ];then
if [ "${play_sound}" = "true" ];then
${sound_player} ${player_opts} ${sound_file} "${sound_message}" &
${sound_player} "${player_opts}" "${sound_file}" "${sound_message}" &
fi

39
config
View File

@@ -18,7 +18,42 @@ Host void-ryzen
User mollusk
IdentityFile ~/.ssh/thinkpadt420
Host gitea
Host gitbutter.xyz
HostName gitbutter.xyz
User git
IdentityFile ~/.ssh/thinkpadt420
IdentityFile ~/.ssh/thinkpadt420
Host zolfite.net
HostName zolfite.net
User mollusk
IdentityFile ~/.ssh/thinkpadt420
Host cloud.zolfite.net
HostName cloud.zolfite.net
User mollusk
IdentityFile ~/.ssh/thinkpadt420
Host mooretalk.live
HostName mooretalk.live
User mollusk
IdentityFile ~/.ssh/thinkpadt420
Host sickstream.net
HostName sickstream.net
User mollusk
IdentityFile ~/.ssh/thinkpadt420
Host nightcrew.rip
HostName nightcrew.rip
User mollusk
IdentityFile ~/.ssh/thinkpadt420
Host gitea-server
HostName gitbutter.xyz
User mollusk
IdentityFile ~/.ssh/thinkpadt420
Host pihole
HostName 192.168.1.200
User mollusk
IdentityFile ~/.ssh/thinkpadt420

View File

@@ -1,27 +1,65 @@
#!/bin/bash
# Colors
RED='\033[0;31m'
LRED="\033[1;31m"
BLUE="\033[0;34m"
LBLUE="\033[1;34m"
GREEN="\033[0;32m"
LGREEN="\033[1;32m"
YELLOW="\033[1;33m"
CYAN="\033[0;36m"
LCYAN="\033[1;36m"
PURPLE="\033[0;35m"
LPURPLE="\033[1;35m"
BWHITE="\e[1m"
NC='\033[0m' # No Color
# Wine Prefix Environment
PREFIX="/home/$USER/diablo"
ARCH="win32"
notice(){
echo -e "${YELLOW}NOTICE: Currently you must move & rename the installer directories to the following: ${NC}\n"
echo -e "${LCYAN}Base Game: ${HOME}/D2${NC}"
echo -e "${LCYAN}Expansion: ${HOME}/LOD${NC}"
echo -e "${YELLOW}\nThen run this script with the following option:${NC}"
echo -e "${LCYAN}${0} -a${NC}"
echo -e "${YELLOW}\nThe script will then kick off the process of grabbing debs, setting the prefix and installing the game.${NC}"
echo -e "${YELLOW}User intervention is required to click through the installer setups${NC}"
}
installD2(){
notice
read -n 1 -p "~~~~~~ Press enter to continue ~~~~~~"
D2_INSTALLER_PATH="/home/$USER/D2"
echo -e "\nInstalling Diablo II...\n"
echo -e "\n${LGREEN}Installing Diablo II...${NC}\n"
if [ ! -d "${D2_INSTALLER_PATH}" ];then
echo -e "${D2_INSTALLER_PATH} not found, edit script and set correct path\n"
exit 0;
fi
cd ${D2_INSTALLER_PATH}
cd "${D2_INSTALLER_PATH}" || exit 1
WINEPREFIX="${PREFIX}" WINEARCH="${ARCH}" wine Installer.exe
}
installLOD(){
notice
read -n 1 -p "~~~~~~ Press enter to continue ~~~~~~"
LOD_INSTALLER_PATH="/home/$USER/LOD"
echo -e "\nInstalling Diablo II: Lord of Destruction...\n"
@@ -31,7 +69,7 @@ installLOD(){
exit 0;
fi
cd ${LOD_INSTALLER_PATH}
cd "${LOD_INSTALLER_PATH}" || exit 1
WINEPREFIX="${PREFIX}" WINEARCH="${ARCH}" wine Installer.exe
}
@@ -49,7 +87,7 @@ getDeps(){
}
getTricks(){
WINEPREFIX="${PREFIX}" WINEARCH="${ARCH}" winetricks directx9 directplay comctl32ocx glidewrapper
WINEPREFIX="${PREFIX}" WINEARCH="${ARCH}" winetricks directx9 directplay comctl32ocx
echo -e "\nGetting Glide for D2\n"
@@ -60,20 +98,20 @@ getTricks(){
getGlide(){
if [ ! -f /tmp/gl32ogl14e.zip ];then
cd /tmp
cd /tmp || exit 1
wget http://www.svenswrapper.de/gl32ogl14e.zip
unzip gl32ogl14e.zip
echo -e "\nCopying Files to Diablo game directory...\n"
cp -v {glide-init.exe,glide3x.dll} ${PREFIX}/drive_c/"Program Files"/"Diablo II"/
cp -v {glide-init.exe,glide3x.dll} "${PREFIX}/drive_c/Program Files/Diablo II/"
echo -e "\nCleaning up temp files...\n"
rm {glide-readme.txt,glide-liesmich.txt,glide-init.exe,glide3x.dll,gl32ogl14e.zip}
cd ${PREFIX}/drive_c/"Program Files"/"Diablo II"/
cd "${PREFIX}/drive_c/"Program Files"/"Diablo II"/" || exit 1
WINEPREFIX="${PREFIX}" WINEARCH="${ARCH}" wine glide-init.exe
@@ -82,17 +120,17 @@ getGlide(){
}
runGame(){
cd ${PREFIX}/drive_c/"Program Files"/"Diablo II"/
cd "${PREFIX}/drive_c/Program Files/Diablo II/" || exit 1
echo -n -e "\nRun game now?(Y/n): "
read choice
echo -n -e "\n${LGREEN}Run game now?(Y/n): ${NC}"
read -r choice
if [ "${choice}" = "n" ];then
exit 0;
fi
WINEPREFIX="${PREFIX}" WINEARCH="${ARCH}" wine "Diablo II.exe"
WINEPREFIX="${PREFIX}" WINEARCH="${ARCH}" wine "Diablo II.exe" " -3dfx"
}
@@ -100,7 +138,7 @@ runGame(){
run_glide(){
cd ${PREFIX}/drive_c/"Program Files"/"Diablo II"/
cd "${PREFIX}/drive_c/Program Files/Diablo II/" || exit 1
WINEPREFIX="${PREFIX}" WINEARCH="${ARCH}" wine "glide-init.exe"
@@ -158,7 +196,7 @@ case "${1}" in
installD2
installLOD
getTricks
#getGlide
getGlide
runGame
;;
@@ -166,4 +204,4 @@ case "${1}" in
echo -e "\nUsage: $0 [-a] [all] [-p] [play] [-gt] [gettricks] [-gd] [getdeps] [getglide] [-gg] [id2] [--install-d2] [ilod] [--install-lod]\n"
;;
esac
esac

21
insanity.py Executable file
View File

@@ -0,0 +1,21 @@
#!/usr/bin/python3
from time import sleep
timer = 0.000001
num = 100000 ** 1000
print(num)
while True:
# Even Number
if (num % 2) == 0:
num = num // 2
print(num)
sleep(timer)
else:
# Odd Number
num = num * 3 + 1
print(num)
sleep(timer)
if num == 1:
exit(0)

View File

@@ -6,14 +6,14 @@ Create_user(){
echo
echo -n "Username: "
read uname
read -r uname
echo "Additional Groups: "
echo
echo "[1] - Arch Linux Defaults"
echo "[2] - Void Linux Defaults"
echo "[3] - Custom"
read dgroups
read -r dgroups
if [ "${dgroups}" = "1" ];then
addgroups="power, wheel, optical network, video, audio, storage"
@@ -21,16 +21,16 @@ Create_user(){
addgroups="disk,wheel,storage,audio,video,optical,lp,network,dbus,xbuilder"
elif [ "${dgroups}" = "3" ];then
echo -n "Enter desired groups (comma separated): "
read custgroups
read -r custgroups
addgroups="${custgroups}"
fi
echo "${addgroups}"
read -n 1 -p "wait"
useradd -m -g users -G "${addgroups}" -s /bin/bash ${uname}
read -r -n 1 -p "wait"
useradd -m -g users -G "${addgroups}" -s /bin/bash "${uname}"
passwd "${uname}"
echo
if [ -d /home/${uname} ];then
if [ -d /home/"${uname}" ];then
echo "User ${uname} created"
else
echo "User creation failed"
@@ -40,7 +40,7 @@ Create_user(){
Remove_user(){
echo
echo -n "Username to delete: "
read duser
read -r duser
userdel ${duser}
if [ -d /home/${duser} ];then
@@ -59,7 +59,7 @@ main(){
echo "[2] - Remove User"
echo
echo -n "Choose: "
read choice
read -r choice
if [ "${choice}" = "1" ];then

10
noagendastream.sh Executable file
View File

@@ -0,0 +1,10 @@
#!/bin/bash
if [ -f /usr/bin/mpv ];then
mpv "http://listen.noagendastream.com/noagenda"
elif [ -f "/usr/bin/vlc" ];then
vlc "http://listen.noagendastream.com/noagenda"
else [ -f "/usr/bin/xdg-open" ];then
xdg-open "http://listen.noagendastream.com/noagenda"
fi

View File

@@ -1,5 +1,5 @@
audio_quality = {high, medium, low}
#autostart_station = stationid
password = guitar
password = %4*dxXKQf9AmF5
user = silvernode@gmail.com

View File

@@ -1,20 +1,17 @@
#!/bin/bash
pkgname="rtlwifi"
pkgurl="https://github.com/cilynx/rtl88x2bu.git"
installcmd="dnf install"
installcmdextra="dnf group install"
pkgdeps="wget unzip dnsmasq hostapd bc dkms kernel-headers rsync"
pkgdepsextra='"Development Tools"'
tmpdir="/tmp"
pkgname="rtl88x2bu-git"
pkgurl="https://github.com/RinCat/RTL88x2BU-Linux-Driver.git"
tmpdir="/usr/src"
_fetch_deps(){
if [ -f /usr/bin/apt ];then
apt install git dnsmasq hostapd bc build-essential dkms
sudo apt install git dnsmasq hostapd bc build-essential dkms wget unzip rsync
elif [ -f /usr/bin/dnf ];then
dnf install unzip dnsmasq hostapd bc dkms kernel-headers rsync
sudo dnf group install "Development Tools"
sudo dnf install unzip dnsmasq hostapd bc dkms kernel-headers rsync wget
else
echo "No supported package manager"
fi
@@ -22,25 +19,21 @@ _fetch_deps(){
_download(){
if [ ! -d ${tmpdir}/${pkgname} ];then
git clone ${pkgurl} ${tmpdir}/${pkgname}
if [ ! -d "${tmpdir}"/"${pkgname}" ];then
sudo git clone "${pkgurl}" "${tmpdir}"/"${pkgname}"
fi
}
_apply_patch(){
wget https://github.com/cilynx/rtl88x2bu/pull/58.patch
wget "https://github.com/cilynx/rtl88x2bu/pull/58.patch"
git apply 58.patch
}
_install(){
cd ${tmpdir}/${pkgname}
_apply_patch
VER=$(sed -n 's/\PACKAGE_VERSION="\(.*\)"/\1/p' dkms.conf)
rsync -rvhP ./ /usr/src/rtl88x2bu-${VER}
dkms add -m rtl88x2bu -v ${VER}
dkms build -m rtl88x2bu -v ${VER}
dkms install -m rtl88x2bu -v ${VER}
modprobe 88x2bu
sed -i 's/PACKAGE_VERSION="@PKGVER@"/PACKAGE_VERSION="git"/g' /usr/src/rtl88x2bu-git/dkms.conf
sudo dkms add -m rtl88x2bu -v git
sudo dkms autoinstall
sudo modprobe 88x2bu
}
_fetch_deps

14
steamloop.sh Executable file
View File

@@ -0,0 +1,14 @@
#!/bin/bash
# Running Steam in Wine causes Steam on Linux to lose connection
# This makes it hard to use Steam link if Steam has to be closed to reset
# This script just reopens Steam on the host so that Steam link can reconnect.
while true;do
if [ -z "$(pidof steam)" ];then
sleep 10s
/usr/bin/steam
fi
done

159
svc.sh
View File

@@ -17,20 +17,25 @@
## ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
##############################################################################################
RED='\033[0;31m'
LRED="\033[1;31m"
BLUE="\033[0;34m"
LBLUE="\033[1;34m"
GREEN="\033[0;32m"
LGREEN="\033[1;32m"
YELLOW="\033[1;33m"
CYAN="\033[0;36m"
LCYAN="\033[1;36m"
PURPLE="\033[0;35m"
LPURPLE="\033[1;35m"
BWHITE="\e[1m"
NC='\033[0m' # No Color
if [[ -f "/usr/bin/sv " ]];then
serviceManager="runit"
echo -e "${LGREEN}Detected Runit${NC}\n"
elif [[ -f "/usr/bin/systemctl" ]];then
serviceManager="systemd"
echo -e "${LGREEN}Detected SystemD${NC}\n"
else
echo -e "${LRED}no supported service manager found${NC}\n"
fi
help(){
printf """
svc - Service Commander - frontend for the sv command
@@ -53,49 +58,113 @@ up Show status of running services
"""
}
case $1 in
runit(){
case $1 in
enable | --enable-service )
ln -v -s /etc/sv/"${2}" /var/service/
;;
enable | --enable-service )
ln -v -s /etc/sv/"${2}" /var/service/
;;
disable | --remove-service )
rm -v /var/service/"${2}"
;;
disable | --remove-service )
rm -v /var/service/"${2}"
;;
enabled | --enabled-services )
cd /etc/sv && find -xtype l -exec ls -l {} \;
;;
enabled | --enabled-services )
cd /etc/sv && find -xtype l -exec ls -l {} \;
;;
list | ls | --list )
list | ls | --list )
echo
echo -e "${LGREEN}Available Services (/etc/sv/):${NC}\n"
ls /etc/sv
echo
echo -e "${LCYAN}Enabled Services (/var/service):${NC}\n"
echo
ls /var/service
echo
;;
echo
echo -e "${LGREEN}Available Services (/etc/sv/):${NC}\n"
ls /etc/sv
echo
echo -e "${LCYAN}Enabled Services (/var/service):${NC}\n"
echo
ls /var/service
echo
;;
up )
sv s /var/service/*
;;
up )
sv s /var/service/*
;;
start )
sv start "${2}"
;;
start )
sv start "${2}"
;;
restart )
sv restart "${2}"
;;
restart )
sv restart "${2}"
;;
stop )
sv stop "${2}"
;;
stop )
sv stop "${2}"
;;
--help | -h | help )
help
;;
esac
--help | -h | help )
help
;;
esac
}
systemd(){
case "${1}" in
enable | --enable-service)
systemctl enable "${2}"
;;
disable | --disable-service)
systemctl disable "${2}"
;;
enabled | --enabled-services)
systemctl list-unit-files --state=enabled
;;
list | ls | --list)
echo
echo -e "${LGREEN}Available Services (/etc/systemd/system):${NC}\n"
ls /etc/systemd/system/
echo
echo -e "${LCYAN}Enabled Services:${NC}\n"
systemctl list-unit-files --state=enabled
echo
;;
up)
if [[ ! -z "${2}" ]];then
systemctl status "${2}"
else
systemctl --type=service --state=running
fi
;;
start)
systemctl start "${2}"
;;
restart)
systemctl restart "${2}"
;;
stop)
systemctl stop "${2}"
;;
--help | -help | help)
help
;;
esac
}
if [[ "${serviceManager}" = "runit" ]];then
runit "${1}" "${2}"
elif [[ "${serviceManager}" = "systemd" ]];then
systemd "${1}" "${2}"
fi

2
trb.sh
View File

@@ -20,7 +20,7 @@ zenity --question --text "Do you want to trim?"
if [[ $? == 1 ]];then
exit
else
notify-send "Trimming..."
notify-send -a "FS-Trim" "Trimming..."
echo "Trimming..."
results=$(${su_prompt} /sbin/fstrim -va)
notify-send "${results}"